The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> timer_delete - delete a per-process timer (REALTIME)

#### SYNOPSIS

> ``[TMR] #include <time.h>
> int timer_delete(timer_t` timerid`);``
> `
> `

#### DESCRIPTION

> The timer_delete() function deletes the specified timer, timerid, previously created by the timer_create() function. If the timer is armed when timer_delete() is called, the behavior shall be as if the timer is automatically disarmed before removal. The disposition of pending signals for the deleted timer is unspecified.

#### RETURN VALUE

> If successful, the timer_delete() function shall return a value of zero. Otherwise, the function shall return a value of -1 and set errno to indicate the error.

#### ERRORS

> The timer_delete() function may fail if:

> [EINVAL]
>   The timer ID specified by timerid is not a valid timer ID.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> timer_create(), the Base Definitions volume of IEEE Std 1003.1-2001, <time.h>

#### CHANGE HISTORY

> First released in Issue 5. Included for alignment with the POSIX Realtime Extension.

#### Issue 6

> The timer_delete() function is marked as part of the Timers option.

> The [ENOSYS] error condition has been removed as stubs need not be provided if an implementation does not support the Timers option.

> IEEE Std 1003.1-2001/Cor 2-2004, item XSH/TC2/D6/139 is applied, updating the ERRORS section so that the [EINVAL] error becomes optional.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]